Skip to content
Docs

Invalidate by source image

POST/__remote/api.vercel.com/v1/edge-cache/invalidate-by-src-images
Marks a source image as stale, causing its corresponding transformed images to be revalidated in the background on the next request.
Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
await vercel.edgeCache.invalidateBySrcImages({
projectIdOrName: "<value>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
}
run();
Response
{}
AuthorizationbearerToken

Default authentication mechanism

projectIdOrNamestringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
srcImagesarrayRequired
200Success
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource.
404Error
410Error